#Module-Specific definitions
%define mod_name mod_php
%define mod_conf 70_%{mod_name}.conf
%define mod_so %{mod_name}5.so

%define major 5
%define apache_version 2.2.8
%define php_version %{version}

Summary:	The PHP5 HTML-embedded scripting language for use with apache
Name:		apache-%{mod_name}
Version:	5.3.28
Release:	%mkrel 1
Group:		System/Servers
License:	PHP License
URL:		http://www.php.net/
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	apache-mpm >= %{apache_version}
Requires:	php-ctype >= %{php_version}
Requires:	php-filter >= %{php_version}
Requires:	php-ftp >= %{php_version}
Requires:	php-gettext >= %{php_version}
Requires:	php-hash >= %{php_version}
Requires:	php-ini >= %{php_version}
Requires:	php-json >= %{php_version}
Requires:	php-openssl >= %{version}
Requires:	php-pcre >= %{php_version}
Requires:	php-posix >= %{php_version}
Requires:	php-session >= %{php_version}
Requires:	php-sysvsem >= %{php_version}
Requires:	php-sysvshm >= %{php_version}
Requires:	php-tokenizer >= %{php_version}
Requires:	php-xmlreader >= %{php_version}
Requires:	php-xmlwriter >= %{php_version}
Requires:	php-zlib >= %{php_version}
Requires:	php-xml >= %{version}
BuildRequires:	apache-devel >= %{apache_version}
BuildRequires:	php-devel >= %{php_version}
Conflicts:	apache-mpm-worker 
Conflicts:	apache-mpm-event 
Requires:	php-timezonedb

%description
PHP5 is an HTML-embedded scripting language. PHP5 attempts to make it easy for
developers to write dynamically generated web pages. PHP5 also offers built-in
database integration for several commercial and non-commercial database
management systems, so writing a database-enabled web page with PHP5 is fairly
simple. The most common use of PHP coding is probably as a replacement for CGI
scripts. The %{name} module enables the apache web server to understand 
and process the embedded PHP language in web pages.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/sapi/apache2handler/* .
cp %{_usrsrc}/php-devel/internal_functions.c .
cp %{_includedir}/php/ext/date/lib/timelib_config.h .

%build

%{_sbindir}/apxs \
    `php-config --includes` \
    `apr-1-config --link-ld --libs` \
    `xml2-config --cflags` \
    -I%{_usrsrc}/php-devel \
    -I. -lphp5_common \
    -c mod_php5.c sapi_apache2.c apache_config.c \
    php_functions.c internal_functions.c

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%files
%config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Mon Dec 30 2013 bb <bb> 5.3.28-1pclos2013
- update

* Sun Jun 02 2013 Texstar <texstar at gmail.com> 5.2.25-1pclos2013
- update

* Fri Oct 07 2011 Texstar <texstar at gmail.com> 5.3.8-1pclos2011
- 5.2.8
